> ## Documentation Index
> Fetch the complete documentation index at: https://tibbie.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all posts



## OpenAPI

````yaml api-reference/openapi.json get /posts
openapi: 3.1.0
info:
  title: Tibbie
  version: '1.0'
  description: REST API for managing posts and connections on Tibbie.
servers:
  - url: https://tibbie.co/api/v1
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: User
  - name: Connections
  - name: Posts
  - name: Media
paths:
  /posts:
    get:
      tags:
        - Posts
      summary: List all posts
      operationId: post.index
      parameters:
        - name: status
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - draft
              - scheduled
              - publishing
              - published
              - failed
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
            maximum: 100
        - name: connection_id
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: sort
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - created_at
              - scheduled_at
        - name: order
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - asc
              - desc
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        content:
                          type: string
                        status:
                          type: string
                        scheduled_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        created_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        updated_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        creator:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                          required:
                            - id
                            - name
                        platforms:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                              connected_account_id:
                                type: integer
                              provider:
                                type:
                                  - string
                                  - 'null'
                              username:
                                type:
                                  - string
                                  - 'null'
                              content:
                                type:
                                  - string
                                  - 'null'
                              status:
                                type: string
                              published_at:
                                type:
                                  - string
                                  - 'null'
                                format: date-time
                              platform_post_id:
                                type:
                                  - string
                                  - 'null'
                              error_message:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - id
                              - connected_account_id
                              - provider
                              - username
                              - content
                              - status
                              - published_at
                              - platform_post_id
                              - error_message
                        media:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                              url:
                                type: string
                              file_type:
                                type: string
                              mime_type:
                                type: string
                            required:
                              - id
                              - url
                              - file_type
                              - mime_type
                      required:
                        - id
                        - content
                        - status
                        - scheduled_at
                        - created_at
                        - updated_at
                        - creator
                        - platforms
                        - media
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      total:
                        type: integer
                    required:
                      - current_page
                      - last_page
                      - per_page
                      - total
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.